%define major	2
%define libname	%mklibname seccomp %{major}
%define devname	%mklibname -d seccomp

Summary:	Enhanced seccomp library
Name:		libseccomp
Version:	2.3.2
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
Url:		http://libseccomp.sourceforge.net
Source0:	https://github.com/seccomp/libseccomp/releases/download/v%{version}/%{name}-%{version}.tar.gz
Requires:	kernel

%description
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes
Group:		System/Libraries

%description -n %{libname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{devname}
Summary:	Development files used to build applications with libseccomp support
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	seccomp-devel = %{version}-%{release}
Provides:	libseccomp-devel = %{version}-%{release}

%description -n	%{devname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
mkdir -p "%{buildroot}/%{_libdir}"
mkdir -p "%{buildroot}/%{_includedir}"
mkdir -p "%{buildroot}/%{_mandir}"
%makeinstall_std
rm -f "%{buildroot}/%{_libdir}/libseccomp.la"
rm -f "%{buildroot}/%{_libdir}/libseccomp.a"

%files -n %{libname}
%{_libdir}/libseccomp.so.%{major}{,.*}

%files -n %{devname}
%doc LICENSE CREDITS README.md
%{_bindir}/scmp_sys_resolver
%{_includedir}/seccomp.h
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_mandir}/man3/*
%{_mandir}/man1/*



%changelog
* Mon Mar 06 2017 luigiwalser <luigiwalser> 2.3.2-1.mga6
+ Revision: 1088914
- 2.3.2

* Fri Apr 15 2016 tv <tv> 2.3.0-2.mga6
+ Revision: 1001689
- provides libseccomp-devel

* Mon Apr 11 2016 tv <tv> 2.3.0-1.mga6
+ Revision: 1000337
- fix build
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.1.1-10.mga6
+ Revision: 955623
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 2.1.1-9.mga6
+ Revision: 887833
- from OpenMandriva

